%define dbus_version		0.90
%define dbus_glib_version	0.71
%define gtk2_version		2.13.6
%define gnome_vfs2_version	2.4
%define libsexy_version		0.1.11
%define gnome_doc_utils_version 0.3.2
%define polkit_version		0.9
%define intltool_version	0.35

%define pkgname PolicyKit-gnome

%define lib_major 0
%define lib_name %mklibname polkit-gnome %{lib_major}
%define lib_name_devel %mklibname polkit-gnome -d

Summary: PolicyKit integration for the GNOME desktop
Summary(de): PolicyKit-Integration für den GNOME-Desktop
Name: policykit-gnome
Version: 0.9.2
Release: %mkrel 4
License: GPLV2+
Group: System/Libraries
URL: http://gitweb.freedesktop.org/?p=users/david/PolicyKit-gnome.git;a=summary
Source0: http://hal.freedesktop.org/releases/%{pkgname}-%{version}.tar.xz
Patch0: PolicyKit-gnome-0.9.2-i18ninit.patch
Patch1: PolicyKit-gnome-0.9.2-nonutf8.patch
Patch2: PolicyKit-gnome-0.9.2-fix-manager-object-path-fdo-23297.patch
Patch3: PolicyKit-gnome-0.9.2-dont-spawn-when-running-under-gdm.patch
Patch4: PolicyKit-gnome-0.9.2-fix-clickable-buttons.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: dbus-glib >= %{dbus_glib_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: libsexy-devel >= %{libsexy_version}
BuildRequires: libGConf2-devel
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: polkit-devel >= %{polkit_version}
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: intltool >= %{intltool_version}
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: gtk-doc
Requires: policykit >= %{polkit_version}
Provides: %{pkgname} = %{version}-%{release}




%description 
PolicyKit-gnome provides a GNOME integration library and tools for
PolicyKit including an Authentication Agent that matches the look and
feel of the GNOME desktop.


%description -l de
PolicyKit-Gnome stellt eine GNOME Integrations Bibliothek und Werkzeuge für
PolicyKit zur Verfügung, einschließlich eines Authentifizierung-Agenten 
der dem Aussehen und Verhalten des GNOME-Desktop entspricht.


%package -n %{lib_name}
Summary: PolicyKit integration for the GNOME desktop
Summary(de): PolicyKit Integration für den GNOME Desktop
Group: System/Libraries
License: LGPLv2+
Requires: %{name} >= %{version}

%description -n %{lib_name}
PolicyKit-gnome provides a GNOME integration library and tools for
PolicyKit including an Authentication Agent that matches the look and
feel of the GNOME desktop.

%description -n %{lib_name} -l de
PolicyKit-gnome unterstützt eine GNOME Bibliothek und Werkzeuge für 
PolicyKit. Enthalten ist ein Authentifizierungsagent welcher mit dem 
Stil vom GNOME Desktop übereinstimmt.


%package -n %{lib_name_devel}
Summary: Headers, libraries and API docs for PolicyKit-gnome
Summary(de): Headers, Bibliotheken und API Dokumentation für den Gnome PolicyKit
Group: Development/Libraries
License: LGPLv2+
Requires: %{name} >= %{version}
Provides: %name-devel = %version-%release

%description -n %{lib_name_devel}
This package provides headers, libraries and API docs for
PolicyKit-gnome.

%description -n %{lib_name_devel} -l de
Headers, Bibliotheken und API Dokumentation für den Gnome PolicyKit. 

%package demo
Summary: Demo application for PolicyKit-gnome
Summary(de): Demo application for PolicyKit-gnome
Group: Development/Libraries
License: GPLv2+
Requires: %{name} = %{version}-%{release}

%description demo 
Policy-gnome-demo provides a sample application that demonstrates the
features of both PolicyKit and PolicyKit-gnome. You normally don't
want to have this package installed.

%description demo -l de
Policy-Gnome-Demo bietet Anwendungen zur Demonstration der
Ausstattung von PolicyKit und PolicyKit-Gnome. Sie müssen dieses
Paket normalerweise nicht installiert haben.


%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .i18ninit
%patch1 -p1 -b .nonutf8
%patch2 -p1 -b .fix-manager-path
%patch3 -p1 -b .no-spawning-under-gdm
%patch4 -p1 -b .fix-clickable-buttons

%build
autoreconf -fis
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="GNOME" \
  --add-category="GTK" \
  --add-category="System" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{pkgname}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas polkit-gnome

%preun
%preun_uninstall_gconf_schemas polkit-gnome

%files -f %{pkgname}.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING HACKING TODO
%_sysconfdir/gconf/schemas/polkit-gnome.schemas
%{_bindir}/polkit-gnome-authorization
%{_libexecdir}/polkit-gnome-manager
%{_datadir}/dbus-1/services/org.gnome.PolicyKit.service
%{_datadir}/dbus-1/services/org.gnome.PolicyKit.AuthorizationManager.service
%{_datadir}/dbus-1/services/gnome-org.freedesktop.PolicyKit.AuthenticationAgent.service
%{_datadir}/applications/polkit-gnome-authorization.desktop

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/*.so.%{lib_major}*

%files -n %{lib_name_devel}
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%files demo
%defattr(-,root,root,-)
%{_bindir}/polkit-gnome-example
%_datadir/PolicyKit/policy/org.gnome.policykit.examples.policy


%changelog
* Wed Nov 06 2013 billybot <billybot> 0.9.2-4pclos2013
- rebuild for new pcre
- convert source to tar.xz

* Thu Jan 21 2010 Texstar <texstar at gmail.com> 0.9.2-3pclos2010
- rebuild

* Mon Dec 28 2009 maik3531 <maik3531 at yahoo dot de> 0.9.2-2pclos2010
- Patch2: fix manager-object path
- Patch3: dont spawn when running under gdm
- Patch4: fix clickable buttons
- add german description
- build with gtk-doc 1.11

* Tue Dec 02 2008 don_crissti <don_crissti@gmx.com> 0.9.2-1pclos2007
- new version
- Patch0: fix i18n init
- Patch1: fix for user with non-UTF8 locale

* Fri May 16 2008 Gettinther <gettinther@gmail.com> 0.8-1pclos2007
- Updated to version 0.8

* Wed Mar 26 2008 Gettinther <gettinther@gmail.com> 0.7-1pclos2007
- First build


